<template>
  <section class="section-actu">
    <b-container class="py-5">
      <h2>NEWS HORIZONTAL</h2>
      <h3>Sans options</h3>
      <news-horizontal-list moduleName="actualite1" :tnInZText="true" :tnInZImg="true" :tnLg="3"></news-horizontal-list>

      <hr />

      <h3>Thumbnails plus grand</h3>
      <news-horizontal-list moduleName="actualite1" :tnInZText="true" :tnInZImg="true" :tnLg="null"></news-horizontal-list>

      <hr />

      <h3>Reverse</h3>

      <news-horizontal-list moduleName="actualite1" :tnInZText="true" :tnInZImg="true" :tnLg="3" :reverse="true"></news-horizontal-list>

      <hr />

      <h3>Thumbnails dans le bloc image seulement</h3>
      <news-horizontal-list moduleName="actualite1" :tnInZText="false" :tnInZImg="true" :tnLg="3" :reverse="true"></news-horizontal-list>

      <hr />

      <h3>Thumbnails dans le bloc texte seulement</h3>
      <news-horizontal-list moduleName="actualite1" :tnInZText="true" :tnInZImg="false" :tnLg="3" :reverse="true"></news-horizontal-list>

      <hr />

      <h3>Large</h3>
      <news-horizontal-list moduleName="actualite1" :tnInZText="true" :tnInZImg="false" :tnLg="3" :reverse="true" :large="true"></news-horizontal-list>

      <hr />
    </b-container>
    <!-- Fin horizontal 1-->

    <b-container>
      <h2>HORIZONTAL</h2>
      <!-- A FAIRE -->

      <news-horizontal-list-plus moduleName="actualite1" :reverse="true" :limit="250" :disableMxAuto="true"></news-horizontal-list-plus>

      <hr />
      <!-- GROUP DECK-->
      <h2>GROUP DECK NEWS PLUS</h2>
      <h3>Sans reverse</h3>
      <b-card-group deck>
        <news-horizontal-list-plus moduleName="actualite1" :limit="50" :disableMxAuto="true"></news-horizontal-list-plus>
      </b-card-group>

      <h3>Avec reverse</h3>
      <b-card-group deck>
        <news-horizontal-list-plus moduleName="actualite1" :reverse="true" :limit="50" :disableMxAuto="true"></news-horizontal-list-plus>
      </b-card-group>

      <hr />
      <h2>LARGE NEWS PLUS</h2>

      <h3>Sans reverse</h3>
      <news-horizontal-list-plus moduleName="actualite1" :limit="300" :disableMxAuto="true" :large="true"></news-horizontal-list-plus>

      <h3>Reverse</h3>
      <news-horizontal-list-plus moduleName="actualite1" :limit="300" :disableMxAuto="true" :large="true" :reverse="true"></news-horizontal-list-plus>

      <hr />

      <!-- Les détails sont affichés dans les cards "Card Type 1 Large" ou autre type de card "Large" -->
    </b-container>
    <!-- Fin horizontal 2-->

    <b-container>
      <h2>NEWS VERTICAL</h2>
      <!-- Cards Type 4 -->
      <h3>Avec largeur panel et b-col</h3>
      <news-vertical-list moduleName="actualite1" panelLargeur="p-lg-5" sm="6"></news-vertical-list>

      <news-vertical-list moduleName="actualite1" panelLargeur="p-xl-2" sm="6" lg="4"></news-vertical-list>
    </b-container>

    <b-container>
      <!-- Cards Overlay -->
      <h2>VERTICAL NEWS CARD LIST</h2>
      <news-cards-list moduleName="popupcard1"></news-cards-list>
      <news-cards-list moduleName="actualite1" :limit="100"></news-cards-list>
    </b-container>

    <b-container>
      <h2>CAROUSSEL NEWS CARD</h2>
      <!-- Sliders actus -->
      <h3>Caroussel news vertical plus</h3>
      <div class="p-5 my-5">
        <news-carroussel moduleName="actualite1" :limit="300"></news-carroussel>
      </div>
    </b-container>

    <hr />
  </section>
</template>
<script>
import NewsHorizontalList from "@/components/AppPopupNews/newsHorizontalList.vue";
import NewsHorizontalListPlus from "@/components/AppPopupNews/newsHorizontalListPlus.vue";
import NewsVerticalList from "@/components/AppPopupNews/newsVerticalList.vue";
import NewsCaroussel from "@/components/AppPopupNews/newsCaroussel.vue";
import NewsCardsList from "@/components/AppPopupCard/liste";

export default {
  components: {
    "news-cards-list": NewsCardsList,
    "news-horizontal-list": NewsHorizontalList,
    "news-vertical-list": NewsVerticalList,
    "news-horizontal-list-plus": NewsHorizontalListPlus,
    "news-carroussel": NewsCaroussel
  },

  // created: function() {
  // this.getCurrentPage();
  // this.getCat();
  // },
  data() {
    return {
      //
    };
  }
};
</script>
